using System.Text.Json.Serialization;

namespace AxCopilot.Models;

public class AliasEntry
{
	[JsonPropertyName("key")]
	public string Key { get; set; } = "";

	[JsonPropertyName("type")]
	public string Type { get; set; } = "url";

	[JsonPropertyName("target")]
	public string Target { get; set; } = "";

	[JsonPropertyName("description")]
	public string? Description { get; set; }

	[JsonPropertyName("showWindow")]
	public bool ShowWindow { get; set; } = false;

	[JsonPropertyName("adapter")]
	public string? Adapter { get; set; }

	[JsonPropertyName("query")]
	public string? Query { get; set; }
}
